KNIFE-RECIPE-LIST(1)

NAME
knife-recipe-list - The man page for the knife recipe list subcommand.

The knife recipe list subcommand is used to view all of the recipes that are on a Chef server. A regular expression can be used to limit the results to recipes that match a specific pattern. The regular expression must be within quotes and not be surrounded by forward slashes (/).

Syntax

This subcommand has the following syntax:

$ knife recipe list REGEX

Options

This command does not have any specific options.

Examples

To view a list of recipes:

$ knife recipe list 'couchdb::*'

to return:

couchdb::main_monitors
couchdb::master
couchdb::default
couchdb::org_cleanu

AUTHOR
Chef